Subject: bug#53207: 28.0.91; create-lockfiles nil breaks file change detection

From: Glenn Morris <[email-masked]>
Date: Fri, 14 Jan 2022 11:11:23 -0500

I find this report very clear (in both recipe and explaining motivation),
but I'm struggling to understand some of the responses to it.

Was it functionally necessary for the addition of lock file transforms
to break the create-lockfiles nil case? If not, why isn't restoring the
functionality being considered?

Conceptually, it is hard for me to see why lockfiles (a system for
detecting editing collisions between Emacs instances) should be tied up
with detecting changes made outside of Emacs.